%define upstream_name    Module-Build-Pluggable-CPANfile
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Include cpanfile
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(Capture::Tiny) >= 0.210.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(List::Util) >= 1.140.0
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Module::Build::Pluggable) >= 0.50.0
BuildRequires: perl(Module::CPANfile) >= 0.901.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(parent)
BuildRequires: perl(version) >= 0.990.0
BuildArch:  noarch

%description
Module::Build::Pluggable::CPANfile is plugin for Module::Build::Pluggable
to include dependencies from cpanfile into meta files. This modules is the
Module::Install::CPANfile manpage for Module::Build

*THIS IS A DEVELOPMENT RELEASE. API MAY CHANGE WITHOUT NOTICE*.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.50.0-9.mga10
+ Revision: 2199719
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.50.0-8.mga9
+ Revision: 1804509
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-7.mga8
+ Revision: 1495607
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-6.mga7
+ Revision: 1269269
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-5.mga6
+ Revision: 1029911
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.50.0-4.mga6
+ Revision: 940983
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-3.mga5
+ Revision: 744385
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Feb 13 2014 jquelin <jquelin> 0.50.0-1.mga5
+ Revision: 590759
- adding missing buildrequires:
- imported package perl-Module-Build-Pluggable-CPANfile


* Thu Feb 13 2014 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
